Merging upstream version 1.1.1.
[debian/pcmanfm.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkglibexecdir = $(libexecdir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37 $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38 TODO compile depcomp install-sh missing
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42 $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45 mkinstalldirs = $(install_sh) -d
46 CONFIG_HEADER = config.h
47 CONFIG_CLEAN_FILES =
48 CONFIG_CLEAN_VPATH_FILES =
49 SOURCES =
50 DIST_SOURCES =
51 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
52 html-recursive info-recursive install-data-recursive \
53 install-dvi-recursive install-exec-recursive \
54 install-html-recursive install-info-recursive \
55 install-pdf-recursive install-ps-recursive install-recursive \
56 installcheck-recursive installdirs-recursive pdf-recursive \
57 ps-recursive uninstall-recursive
58 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
59 distclean-recursive maintainer-clean-recursive
60 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
61 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
62 distdir dist dist-all distcheck
63 ETAGS = etags
64 CTAGS = ctags
65 DIST_SUBDIRS = $(SUBDIRS)
66 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
67 distdir = $(PACKAGE)-$(VERSION)
68 top_distdir = $(distdir)
69 am__remove_distdir = \
70 { test ! -d "$(distdir)" \
71 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
72 && rm -fr "$(distdir)"; }; }
73 am__relativize = \
74 dir0=`pwd`; \
75 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
76 sed_rest='s,^[^/]*/*,,'; \
77 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
78 sed_butlast='s,/*[^/]*$$,,'; \
79 while test -n "$$dir1"; do \
80 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
81 if test "$$first" != "."; then \
82 if test "$$first" = ".."; then \
83 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
84 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
85 else \
86 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
87 if test "$$first2" = "$$first"; then \
88 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
89 else \
90 dir2="../$$dir2"; \
91 fi; \
92 dir0="$$dir0"/"$$first"; \
93 fi; \
94 fi; \
95 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
96 done; \
97 reldir="$$dir2"
98 DIST_ARCHIVES = $(distdir).tar.gz
99 GZIP_ENV = --best
100 distuninstallcheck_listfiles = find . -type f -print
101 distcleancheck_listfiles = find . -type f -print
102 ACLOCAL = @ACLOCAL@
103 ALL_LINGUAS = @ALL_LINGUAS@
104 AMTAR = @AMTAR@
105 AUTOCONF = @AUTOCONF@
106 AUTOHEADER = @AUTOHEADER@
107 AUTOMAKE = @AUTOMAKE@
108 AWK = @AWK@
109 CATALOGS = @CATALOGS@
110 CATOBJEXT = @CATOBJEXT@
111 CC = @CC@
112 CCDEPMODE = @CCDEPMODE@
113 CFLAGS = @CFLAGS@
114 CPP = @CPP@
115 CPPFLAGS = @CPPFLAGS@
116 CYGPATH_W = @CYGPATH_W@
117 DATADIRNAME = @DATADIRNAME@
118 DEFS = @DEFS@
119 DEPDIR = @DEPDIR@
120 ECHO_C = @ECHO_C@
121 ECHO_N = @ECHO_N@
122 ECHO_T = @ECHO_T@
123 EGREP = @EGREP@
124 EXEEXT = @EXEEXT@
125 FM_CFLAGS = @FM_CFLAGS@
126 FM_LIBS = @FM_LIBS@
127 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
128 GIO_CFLAGS = @GIO_CFLAGS@
129 GIO_LIBS = @GIO_LIBS@
130 GMOFILES = @GMOFILES@
131 GMSGFMT = @GMSGFMT@
132 GREP = @GREP@
133 G_CAST_CHECKS = @G_CAST_CHECKS@
134 INSTALL = @INSTALL@
135 INSTALL_DATA = @INSTALL_DATA@
136 INSTALL_PROGRAM = @INSTALL_PROGRAM@
137 INSTALL_SCRIPT = @INSTALL_SCRIPT@
138 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
139 INSTOBJEXT = @INSTOBJEXT@
140 INTLLIBS = @INTLLIBS@
141 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
142 INTLTOOL_MERGE = @INTLTOOL_MERGE@
143 INTLTOOL_PERL = @INTLTOOL_PERL@
144 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
145 LDFLAGS = @LDFLAGS@
146 LIBOBJS = @LIBOBJS@
147 LIBS = @LIBS@
148 LTLIBOBJS = @LTLIBOBJS@
149 MAKEINFO = @MAKEINFO@
150 MKDIR_P = @MKDIR_P@
151 MKINSTALLDIRS = @MKINSTALLDIRS@
152 MSGFMT = @MSGFMT@
153 MSGFMT_OPTS = @MSGFMT_OPTS@
154 MSGMERGE = @MSGMERGE@
155 OBJEXT = @OBJEXT@
156 PACKAGE = @PACKAGE@
157 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
158 PACKAGE_NAME = @PACKAGE_NAME@
159 PACKAGE_STRING = @PACKAGE_STRING@
160 PACKAGE_TARNAME = @PACKAGE_TARNAME@
161 PACKAGE_URL = @PACKAGE_URL@
162 PACKAGE_VERSION = @PACKAGE_VERSION@
163 PATH_SEPARATOR = @PATH_SEPARATOR@
164 PKG_CONFIG = @PKG_CONFIG@
165 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
166 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
167 POFILES = @POFILES@
168 POSUB = @POSUB@
169 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
170 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
171 SET_MAKE = @SET_MAKE@
172 SHELL = @SHELL@
173 STRIP = @STRIP@
174 USE_NLS = @USE_NLS@
175 VERSION = @VERSION@
176 XGETTEXT = @XGETTEXT@
177 XLIB_CFLAGS = @XLIB_CFLAGS@
178 XLIB_LIBS = @XLIB_LIBS@
179 abs_builddir = @abs_builddir@
180 abs_srcdir = @abs_srcdir@
181 abs_top_builddir = @abs_top_builddir@
182 abs_top_srcdir = @abs_top_srcdir@
183 ac_ct_CC = @ac_ct_CC@
184 am__include = @am__include@
185 am__leading_dot = @am__leading_dot@
186 am__quote = @am__quote@
187 am__tar = @am__tar@
188 am__untar = @am__untar@
189 bindir = @bindir@
190 build_alias = @build_alias@
191 builddir = @builddir@
192 datadir = @datadir@
193 datarootdir = @datarootdir@
194 docdir = @docdir@
195 dvidir = @dvidir@
196 exec_prefix = @exec_prefix@
197 host_alias = @host_alias@
198 htmldir = @htmldir@
199 includedir = @includedir@
200 infodir = @infodir@
201 install_sh = @install_sh@
202 libdir = @libdir@
203 libexecdir = @libexecdir@
204 localedir = @localedir@
205 localstatedir = @localstatedir@
206 mandir = @mandir@
207 mkdir_p = @mkdir_p@
208 oldincludedir = @oldincludedir@
209 pdfdir = @pdfdir@
210 prefix = @prefix@
211 program_transform_name = @program_transform_name@
212 psdir = @psdir@
213 sbindir = @sbindir@
214 sharedstatedir = @sharedstatedir@
215 srcdir = @srcdir@
216 sysconfdir = @sysconfdir@
217 target_alias = @target_alias@
218 top_build_prefix = @top_build_prefix@
219 top_builddir = @top_builddir@
220 top_srcdir = @top_srcdir@
221 NULL =
222 SUBDIRS = src po data
223 EXTRA_DIST = \
224 $(NULL)
225
226 all: config.h
227 $(MAKE) $(AM_MAKEFLAGS) all-recursive
228
229 .SUFFIXES:
230 am--refresh:
231 @:
232 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
233 @for dep in $?; do \
234 case '$(am__configure_deps)' in \
235 *$$dep*) \
236 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
237 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
238 && exit 0; \
239 exit 1;; \
240 esac; \
241 done; \
242 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
243 $(am__cd) $(top_srcdir) && \
244 $(AUTOMAKE) --foreign Makefile
245 .PRECIOUS: Makefile
246 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
247 @case '$?' in \
248 *config.status*) \
249 echo ' $(SHELL) ./config.status'; \
250 $(SHELL) ./config.status;; \
251 *) \
252 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
253 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
254 esac;
255
256 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
257 $(SHELL) ./config.status --recheck
258
259 $(top_srcdir)/configure: $(am__configure_deps)
260 $(am__cd) $(srcdir) && $(AUTOCONF)
261 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
262 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
263 $(am__aclocal_m4_deps):
264
265 config.h: stamp-h1
266 @if test ! -f $@; then \
267 rm -f stamp-h1; \
268 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
269 else :; fi
270
271 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
272 @rm -f stamp-h1
273 cd $(top_builddir) && $(SHELL) ./config.status config.h
274 $(srcdir)/config.h.in: $(am__configure_deps)
275 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
276 rm -f stamp-h1
277 touch $@
278
279 distclean-hdr:
280 -rm -f config.h stamp-h1
281
282 # This directory's subdirectories are mostly independent; you can cd
283 # into them and run `make' without going through this Makefile.
284 # To change the values of `make' variables: instead of editing Makefiles,
285 # (1) if the variable is set in `config.status', edit `config.status'
286 # (which will cause the Makefiles to be regenerated when you run `make');
287 # (2) otherwise, pass the desired values on the `make' command line.
288 $(RECURSIVE_TARGETS):
289 @fail= failcom='exit 1'; \
290 for f in x $$MAKEFLAGS; do \
291 case $$f in \
292 *=* | --[!k]*);; \
293 *k*) failcom='fail=yes';; \
294 esac; \
295 done; \
296 dot_seen=no; \
297 target=`echo $@ | sed s/-recursive//`; \
298 list='$(SUBDIRS)'; for subdir in $$list; do \
299 echo "Making $$target in $$subdir"; \
300 if test "$$subdir" = "."; then \
301 dot_seen=yes; \
302 local_target="$$target-am"; \
303 else \
304 local_target="$$target"; \
305 fi; \
306 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
307 || eval $$failcom; \
308 done; \
309 if test "$$dot_seen" = "no"; then \
310 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
311 fi; test -z "$$fail"
312
313 $(RECURSIVE_CLEAN_TARGETS):
314 @fail= failcom='exit 1'; \
315 for f in x $$MAKEFLAGS; do \
316 case $$f in \
317 *=* | --[!k]*);; \
318 *k*) failcom='fail=yes';; \
319 esac; \
320 done; \
321 dot_seen=no; \
322 case "$@" in \
323 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
324 *) list='$(SUBDIRS)' ;; \
325 esac; \
326 rev=''; for subdir in $$list; do \
327 if test "$$subdir" = "."; then :; else \
328 rev="$$subdir $$rev"; \
329 fi; \
330 done; \
331 rev="$$rev ."; \
332 target=`echo $@ | sed s/-recursive//`; \
333 for subdir in $$rev; do \
334 echo "Making $$target in $$subdir"; \
335 if test "$$subdir" = "."; then \
336 local_target="$$target-am"; \
337 else \
338 local_target="$$target"; \
339 fi; \
340 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
341 || eval $$failcom; \
342 done && test -z "$$fail"
343 tags-recursive:
344 list='$(SUBDIRS)'; for subdir in $$list; do \
345 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
346 done
347 ctags-recursive:
348 list='$(SUBDIRS)'; for subdir in $$list; do \
349 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
350 done
351
352 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
353 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
354 unique=`for i in $$list; do \
355 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
356 done | \
357 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
358 END { if (nonempty) { for (i in files) print i; }; }'`; \
359 mkid -fID $$unique
360 tags: TAGS
361
362 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
363 $(TAGS_FILES) $(LISP)
364 set x; \
365 here=`pwd`; \
366 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
367 include_option=--etags-include; \
368 empty_fix=.; \
369 else \
370 include_option=--include; \
371 empty_fix=; \
372 fi; \
373 list='$(SUBDIRS)'; for subdir in $$list; do \
374 if test "$$subdir" = .; then :; else \
375 test ! -f $$subdir/TAGS || \
376 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
377 fi; \
378 done; \
379 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
380 unique=`for i in $$list; do \
381 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
382 done | \
383 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
384 END { if (nonempty) { for (i in files) print i; }; }'`; \
385 shift; \
386 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
387 test -n "$$unique" || unique=$$empty_fix; \
388 if test $$# -gt 0; then \
389 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
390 "$$@" $$unique; \
391 else \
392 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
393 $$unique; \
394 fi; \
395 fi
396 ctags: CTAGS
397 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
398 $(TAGS_FILES) $(LISP)
399 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
400 unique=`for i in $$list; do \
401 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
402 done | \
403 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
404 END { if (nonempty) { for (i in files) print i; }; }'`; \
405 test -z "$(CTAGS_ARGS)$$unique" \
406 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
407 $$unique
408
409 GTAGS:
410 here=`$(am__cd) $(top_builddir) && pwd` \
411 && $(am__cd) $(top_srcdir) \
412 && gtags -i $(GTAGS_ARGS) "$$here"
413
414 distclean-tags:
415 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
416
417 distdir: $(DISTFILES)
418 $(am__remove_distdir)
419 test -d "$(distdir)" || mkdir "$(distdir)"
420 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
421 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
422 list='$(DISTFILES)'; \
423 dist_files=`for file in $$list; do echo $$file; done | \
424 sed -e "s|^$$srcdirstrip/||;t" \
425 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
426 case $$dist_files in \
427 */*) $(MKDIR_P) `echo "$$dist_files" | \
428 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
429 sort -u` ;; \
430 esac; \
431 for file in $$dist_files; do \
432 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
433 if test -d $$d/$$file; then \
434 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
435 if test -d "$(distdir)/$$file"; then \
436 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
437 fi; \
438 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
439 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
440 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
441 fi; \
442 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
443 else \
444 test -f "$(distdir)/$$file" \
445 || cp -p $$d/$$file "$(distdir)/$$file" \
446 || exit 1; \
447 fi; \
448 done
449 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
450 if test "$$subdir" = .; then :; else \
451 test -d "$(distdir)/$$subdir" \
452 || $(MKDIR_P) "$(distdir)/$$subdir" \
453 || exit 1; \
454 fi; \
455 done
456 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
457 if test "$$subdir" = .; then :; else \
458 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
459 $(am__relativize); \
460 new_distdir=$$reldir; \
461 dir1=$$subdir; dir2="$(top_distdir)"; \
462 $(am__relativize); \
463 new_top_distdir=$$reldir; \
464 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
465 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
466 ($(am__cd) $$subdir && \
467 $(MAKE) $(AM_MAKEFLAGS) \
468 top_distdir="$$new_top_distdir" \
469 distdir="$$new_distdir" \
470 am__remove_distdir=: \
471 am__skip_length_check=: \
472 am__skip_mode_fix=: \
473 distdir) \
474 || exit 1; \
475 fi; \
476 done
477 -test -n "$(am__skip_mode_fix)" \
478 || find "$(distdir)" -type d ! -perm -755 \
479 -exec chmod u+rwx,go+rx {} \; -o \
480 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
481 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
482 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
483 || chmod -R a+r "$(distdir)"
484 dist-gzip: distdir
485 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
486 $(am__remove_distdir)
487
488 dist-bzip2: distdir
489 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
490 $(am__remove_distdir)
491
492 dist-lzma: distdir
493 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
494 $(am__remove_distdir)
495
496 dist-xz: distdir
497 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
498 $(am__remove_distdir)
499
500 dist-tarZ: distdir
501 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
502 $(am__remove_distdir)
503
504 dist-shar: distdir
505 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
506 $(am__remove_distdir)
507
508 dist-zip: distdir
509 -rm -f $(distdir).zip
510 zip -rq $(distdir).zip $(distdir)
511 $(am__remove_distdir)
512
513 dist dist-all: distdir
514 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
515 $(am__remove_distdir)
516
517 # This target untars the dist file and tries a VPATH configuration. Then
518 # it guarantees that the distribution is self-contained by making another
519 # tarfile.
520 distcheck: dist
521 case '$(DIST_ARCHIVES)' in \
522 *.tar.gz*) \
523 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
524 *.tar.bz2*) \
525 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
526 *.tar.lzma*) \
527 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
528 *.tar.xz*) \
529 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
530 *.tar.Z*) \
531 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
532 *.shar.gz*) \
533 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
534 *.zip*) \
535 unzip $(distdir).zip ;;\
536 esac
537 chmod -R a-w $(distdir); chmod a+w $(distdir)
538 mkdir $(distdir)/_build
539 mkdir $(distdir)/_inst
540 chmod a-w $(distdir)
541 test -d $(distdir)/_build || exit 0; \
542 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
543 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
544 && am__cwd=`pwd` \
545 && $(am__cd) $(distdir)/_build \
546 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
547 $(DISTCHECK_CONFIGURE_FLAGS) \
548 && $(MAKE) $(AM_MAKEFLAGS) \
549 && $(MAKE) $(AM_MAKEFLAGS) dvi \
550 && $(MAKE) $(AM_MAKEFLAGS) check \
551 && $(MAKE) $(AM_MAKEFLAGS) install \
552 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
553 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
554 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
555 distuninstallcheck \
556 && chmod -R a-w "$$dc_install_base" \
557 && ({ \
558 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
559 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
560 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
561 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
562 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
563 } || { rm -rf "$$dc_destdir"; exit 1; }) \
564 && rm -rf "$$dc_destdir" \
565 && $(MAKE) $(AM_MAKEFLAGS) dist \
566 && rm -rf $(DIST_ARCHIVES) \
567 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
568 && cd "$$am__cwd" \
569 || exit 1
570 $(am__remove_distdir)
571 @(echo "$(distdir) archives ready for distribution: "; \
572 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
573 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
574 distuninstallcheck:
575 @$(am__cd) '$(distuninstallcheck_dir)' \
576 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
577 || { echo "ERROR: files left after uninstall:" ; \
578 if test -n "$(DESTDIR)"; then \
579 echo " (check DESTDIR support)"; \
580 fi ; \
581 $(distuninstallcheck_listfiles) ; \
582 exit 1; } >&2
583 distcleancheck: distclean
584 @if test '$(srcdir)' = . ; then \
585 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
586 exit 1 ; \
587 fi
588 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
589 || { echo "ERROR: files left in build directory after distclean:" ; \
590 $(distcleancheck_listfiles) ; \
591 exit 1; } >&2
592 check-am: all-am
593 check: check-recursive
594 all-am: Makefile config.h
595 installdirs: installdirs-recursive
596 installdirs-am:
597 install: install-recursive
598 install-exec: install-exec-recursive
599 install-data: install-data-recursive
600 uninstall: uninstall-recursive
601
602 install-am: all-am
603 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
604
605 installcheck: installcheck-recursive
606 install-strip:
607 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
608 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
609 `test -z '$(STRIP)' || \
610 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
611 mostlyclean-generic:
612
613 clean-generic:
614
615 distclean-generic:
616 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
617 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
618
619 maintainer-clean-generic:
620 @echo "This command is intended for maintainers to use"
621 @echo "it deletes files that may require special tools to rebuild."
622 clean: clean-recursive
623
624 clean-am: clean-generic mostlyclean-am
625
626 distclean: distclean-recursive
627 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
628 -rm -f Makefile
629 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
630
631 dvi: dvi-recursive
632
633 dvi-am:
634
635 html: html-recursive
636
637 html-am:
638
639 info: info-recursive
640
641 info-am:
642
643 install-data-am:
644
645 install-dvi: install-dvi-recursive
646
647 install-dvi-am:
648
649 install-exec-am:
650
651 install-html: install-html-recursive
652
653 install-html-am:
654
655 install-info: install-info-recursive
656
657 install-info-am:
658
659 install-man:
660
661 install-pdf: install-pdf-recursive
662
663 install-pdf-am:
664
665 install-ps: install-ps-recursive
666
667 install-ps-am:
668
669 installcheck-am:
670
671 maintainer-clean: maintainer-clean-recursive
672 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
673 -rm -rf $(top_srcdir)/autom4te.cache
674 -rm -f Makefile
675 maintainer-clean-am: distclean-am maintainer-clean-generic
676
677 mostlyclean: mostlyclean-recursive
678
679 mostlyclean-am: mostlyclean-generic
680
681 pdf: pdf-recursive
682
683 pdf-am:
684
685 ps: ps-recursive
686
687 ps-am:
688
689 uninstall-am:
690
691 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
692 ctags-recursive install-am install-strip tags-recursive
693
694 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
695 all all-am am--refresh check check-am clean clean-generic \
696 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
697 dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
698 distclean distclean-generic distclean-hdr distclean-tags \
699 distcleancheck distdir distuninstallcheck dvi dvi-am html \
700 html-am info info-am install install-am install-data \
701 install-data-am install-dvi install-dvi-am install-exec \
702 install-exec-am install-html install-html-am install-info \
703 install-info-am install-man install-pdf install-pdf-am \
704 install-ps install-ps-am install-strip installcheck \
705 installcheck-am installdirs installdirs-am maintainer-clean \
706 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
707 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
708
709
710 # Tell versions [3.59,3.63) of GNU make to not export all variables.
711 # Otherwise a system limit (for SysV at least) may be exceeded.
712 .NOEXPORT: